#include "zonefile_cod10_360.h"

#include <QDataStream>
#include <QFile>
#include <QDebug>

ZoneFile_COD10_360::ZoneFile_COD10_360()
    : ZoneFile()
{
    pSetType(4, ASSET_TYPE_XANIMPARTS);
    pSetType(5, ASSET_TYPE_XMODEL);
    pSetType(6, ASSET_TYPE_IMAGE);
    pSetType(7, ASSET_TYPE_TECHNIQUE_SET);
    pSetType(9, ASSET_TYPE_SOUND);
    pSetType(11, ASSET_TYPE_COL_MAP_SP);
    pSetType(12, ASSET_TYPE_COLLISION_MAP);
    pSetType(13, ASSET_TYPE_D3DBSP);
    pSetType(14, ASSET_TYPE_GAME_MAP_SP);
    pSetType(17, ASSET_TYPE_GFX_MAP);
    pSetType(18, ASSET_TYPE_LIGHT_DEF);
    pSetType(18, ASSET_TYPE_WEAPON);
    pSetType(20, ASSET_TYPE_FONT);
    pSetType(21, ASSET_TYPE_MENU);
    pSetType(26, ASSET_TYPE_FX);
    pSetType(32, ASSET_TYPE_RAWFILE);
    pSetType(33, ASSET_TYPE_STRINGTABLE);
    pSetType(23, ASSET_TYPE_LOCALIZE_ENTRY);
}

ZoneFile_COD10_360::~ZoneFile_COD10_360()
{

}

bool ZoneFile_COD10_360::Load(const QByteArray aFileData) {
    return true;
}
